Bug 485211 - (CVE-2008-6123) CVE-2008-6123 net-snmp: incorrect application of hosts access restrictions in hosts.{allow,deny}
CVE-2008-6123 net-snmp: incorrect application of hosts access restrictions in...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.gentoo.org/show_bug.cgi?i...
public=20081209,reported=20081209,imp...
: Security
Depends On: 485278 485279 485280 485281 485282
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 07:42 EST by Jan Lieskovsky
Modified: 2010-12-23 17:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 17:55:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-02-12 07:42:00 EST
A possibility of sensitive host information disclosure was found in the 
implementation of SNMP protocol as defined in RFC 1065, RFC 1066, and RFC 1067.
If the snmpd deamon was running on the host, it served the SNMP queries
regardless of the fact, the IP address of the requester was not mentioned in
the list of hosts allowed to issue / request SNMP MIB objects information.
Remote attacker could use this flaw to gain host related sensitive information
via performing a SNMP query.

References:
http://bugs.gentoo.org/show_bug.cgi?id=250429

Upstream patch:
http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=rev&revision=17367
Comment 2 Jan Lieskovsky 2009-02-12 11:11:50 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-6123 to
the following vulnerability:

The netsnmp_udp_fmtaddr function (snmplib/snmpUDPDomain.c) in net-snmp
5.0.9 through 5.4.2, when using TCP wrappers for client authorization,
does not properly parse hosts.allow rules, which allows remote
attackers to bypass intended access restrictions and execute SNMP
queries, related to "source/destination IP address confusion."

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-6123
http://www.openwall.com/lists/oss-security/2009/02/12/2
http://bugs.gentoo.org/show_bug.cgi?id=250429
http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=rev&revision=17367
:http://net-snmp.svn.sourceforge.net/viewvc/net-snmp/trunk/net-snmp/snmplib/snmpUDPDomain.c?r1=17325&r2=17367&pathrev=17367
Comment 8 errata-xmlrpc 2009-03-26 11:47:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:0295 https://rhn.redhat.com/errata/RHSA-2009-0295.html

Note You need to log in before you can comment on or make changes to this bug.